'use strict';

// Usage: node web.js

var connect = require('connect');
var http = require('http');

var middlewares = [];

middlewares.push(connect.static('test/angular'));
middlewares.push(connect.directory('test/angular'));

var app = connect();

// Static content
app.use.apply(app, [connect.static('test/angular')]);

// Directory browsing.
app.use.apply(app, [connect.directory('test/angular')]);

// API responses.
app.use('/api/people', function cheapApi(req, res, next) {

    var data = {
        name: '',
        description: ''
    };

    res.setHeader('Content-Type', 'application/json');

    if (req.url === '/sam') {
        data.name = 'sam';
        data.description = 'Sam I am is sam.';
        res.end(JSON.stringify(data));
    } else if (req.url === '/pat') {
        data.name = 'pat';
        data.description = 'A Pat on the back.';
        res.end(JSON.stringify(data));
    } else if (req.url === '/alex') {
        data.name = 'alex';
        data.description = 'Alex the conquereror.';
        res.end(JSON.stringify(data));
    }

    next();
});

http.createServer(app).listen(9000, 'localhost');
